SDSC Gfarm RPM install

From PRAGMA wiki
Jump to: navigation, search

Install Globus GSI libraries and postgresql

[root@rocks-201 ~]# rpm -ivh globus-libtool-1.2-4.el5.x86_64.rpm
Preparing...                ########################################### [100%]
   1:globus-libtool         ########################################### [100%]
[root@rocks-201 ~]# rpm -ivh globus-openssl-5.1-2.el5.x86_64.rpm
Preparing...                ########################################### [100%]
   1:globus-openssl         ########################################### [100%]
[root@rocks-201 ~]# rpm -ivh globus-common-11.6-2.el5.x86_64.rpm
Preparing...                ########################################### [100%]
   1:globus-common          ########################################### [100%]
[root@rocks-201 ~]# rpm -ivh globus-gsi-openssl-error-0.14-8.el5.x86_64.rpm
Preparing...                ########################################### [100%]
   1:globus-gsi-openssl-erro########################################### [100%]
[root@rocks-201 ~]# rpm -ivh globus-gsi-proxy-ssl-2.3-3.el5.x86_64.rpm
Preparing...                ########################################### [100%]
   1:globus-gsi-proxy-ssl   ########################################### [100%]
[root@rocks-201 ~]# rpm -ivh globus-openssl-module-1.3-3.el5.x86_64.rpm
Preparing...                ########################################### [100%]
   1:globus-openssl-module  ########################################### [100%]
[root@rocks-201 ~]# rpm -ivh globus-gsi-cert-utils-6.7-2.el5.x86_64.rpm
Preparing...                ########################################### [100%]
   1:globus-gsi-cert-utils  ########################################### [100%]
[root@rocks-201 ~]# rpm -ivh globus-gsi-sysconfig-3.1-4.el5.x86_64.rpm
Preparing...                ########################################### [100%]
   1:globus-gsi-sysconfig   ########################################### [100%]
[root@rocks-201 ~]# rpm -ivh globus-gsi-callback-2.8-2.el5.x86_64.rpm
Preparing...                ########################################### [100%]
   1:globus-gsi-callback    ########################################### [100%]
[root@rocks-201 ~]# rpm -ivh globus-gsi-credential-3.5-3.el5.x86_64.rpm
Preparing...                ########################################### [100%]
   1:globus-gsi-credential  ########################################### [100%]
[root@rocks-201 ~]# rpm -ivh globus-gsi-proxy-core-4.7-2.el5.x86_64.rpm
Preparing...                ########################################### [100%]
   1:globus-gsi-proxy-core  ########################################### [100%]
[root@rocks-201 ~]# rpm -ivh globus-gssapi-gsi-7.6-2.el5.x86_64.rpm
Preparing...                ########################################### [100%]
   1:globus-gssapi-gsi      ########################################### [100%]
[root@rocks-201 RPMS]# rpm -ivh /export/rocks/install/rocks-dist/x86_64/RedHat/RPMS/postgresql84*x86_64.rpm
Preparing...                ########################################### [100%]
   1:postgresql84-libs      ########################################### [  8%]
   2:postgresql84           ########################################### [ 17%]
   3:postgresql84-server    ########################################### [ 25%]
   4:postgresql84-contrib   ########################################### [ 33%]
   5:postgresql84-devel     ########################################### [ 42%]
   6:postgresql84-docs      ########################################### [ 50%]
   7:postgresql84-plperl    ########################################### [ 58%]
   8:postgresql84-plpython  ########################################### [ 67%]
   9:postgresql84-pltcl     ########################################### [ 75%]
  10:postgresql84-python    ########################################### [ 83%]
  11:postgresql84-tcl       ########################################### [ 92%]
  12:postgresql84-test      ########################################### [100%]

Install Gfarm

[root@rocks-201 ~]# wget ftp://rpmfind.net/linux/sourceforge/g/project/gf/gfarm/gfarm_v2/2.4.2/gfarm-2.4.2-1.src.rpm
[root@rocks-201 ~]# rpm -ivh gfarm-2.4.2-1.src.rpm
   1:gfarm                  ########################################### [100%]

Modify the "BuildRequires" line in /usr/src/redhat/SPECS/gfarm.spec this line to

BuildRequires: openssl-devel, postgresql84-devel<br>